/*
 * Help window routines
 */

# include	<stdio.h>

# include	"TransSkel.h"
# include	"TransDisplay.h"

# include	"rtf-mac.h"



static WindowPtr	helpWind = nil;


static pascal void
DWindActivate (Boolean active)
{
WindowPtr	w;

	if (!active)	/* deactivated - was it closed? */
	{
		GetPort (&w);
		if (((WindowPeek) w)->visible == 0)
		{
			SkelRmveWind (w);	/* yes - remove it */
			helpWind = (WindowPtr) nil;
		}
	}
}


/*
 * Create help window, unless it already exists - in which case 
 * simply pull it to the front.
 */


void
HelpWindow (void)
{
WindowPtr	curDispWind;
Handle	h;
Str255	title;

	if (helpWind == nil)
	{
		curDispWind = GetDWindow ();	/* get current display window */
		helpWind = GetNewDWindow (helpWindRes, (WindowPtr) -1L);
		if (helpWind != (WindowPtr) nil)
		{
			PStrCpy (title, ApplicationName ());
			PStrCat (title, "\p Help");
			SetWTitle (helpWind, title);
			SetDWindowNotify (helpWind, DWindActivate);
			SetDWindowStyle (helpWind, applFont, 12, false, teJustLeft);
	
			h = GetResource ('TEXT', helpTextRes);	/* read help text */
			if (h == (Handle) nil)
			{
				SkelRmveWind (helpWind);
				helpWind = (WindowPtr) nil;
			}
			else
			{
				HLock (h);							/* lock it and write to window */
				DisplayText (*h, GetHandleSize (h));
				HUnlock (h);
				ReleaseResource (h);			/* done with it, so goodbye */
				SetDWindowPos (helpWind, 0);	/* scroll back to top */
			}
		}
		SetDWindow (curDispWind);		/* restore previous help window */
	}
	if (helpWind == (WindowPtr) nil)
		SysBeep (1);
	else
	{
		SelectWindow (helpWind);
		ShowWindow (helpWind);
		SkelDoUpdates ();
	}
}
