/*
 * null-writer.c - RTF-to-nothing translation writer code.
 *
 * Example only: demonstrates a minimal translator.  Does nothing,
 * with the single exception that unknown tokens are echoed.  This
 * allows rtf2null to be used as a "find unknown tokens" filter.
 *
 * 07 Feb 91	Paul DuBois	dubois@primate.wisc.edu
 *
 * 07 Feb 91 V1.0.
 * - Created.
 * 24 Feb 91 V1.01
 * - Added unknown token class callback.
 * 14 Jul 93 V1.02
 * - Updated to compile under THINK C 6.0.
 * 11 Mar 94
 * - Updated for 1.10 distribution.
 * 01 Apr 94
 * - Print line and position within line of unknown tokens.
 */

# include	<stdio.h>

# include	"rtf.h"
# include	"rtf2null.h"


static void UnknownClass ();


/*
 * Initialize the writer for translating a new file.
 */

int
BeginFile ()
{
	/* install class callbacks */

	RTFSetClassCallback (rtfUnknown, UnknownClass);

	return (1);
}


/*
 * Echo any unknown tokens to diagnostic output.  This helps to find out where
 * reader needs to be made smarter.
 */

static void
UnknownClass ()
{
	RTFMsg ("Unknown symbol \"%s\" near line %ld, position %d.\n",
				rtfTextBuf, rtfLineNum, rtfLinePos);
}
