/*
 * text-unix.c -- UNIX rtf2text driver.
 *
 * This installs callbacks for the text and control token classes.
 * The control class is necessary so that special characters such as
 * \par, \tab, \sect, etc.  can be converted.
 *
 * It's problematic what to do with text in headers and footers, and
 * what to do about tables.
 *
 * This really is quite a stupid program, for instance, it could keep
 * track of the current leader character and dump that out when a tab
 * is encountered.
 *
 * 04 Feb 91	Paul DuBois	dubois@primate.wisc.edu
 *
 * 04 Feb 91 Created.
 * 27 Feb 91 Updated for distribution 1.05.
 * 13 Jul 93 Updated to compile under THINK C 6.0.
 * 31 Aug 93 Added Mike Sendall's entries for Macintosh char map.
 * 07 Sep 93 Uses charset map and output sequence map for character
 * 	translation.
 */

# include	<stdio.h>

# include	"rtf.h"
# include	"rtf-unix.h"
# include	"rtf2text.h"


int
main (argc, argv)
int	argc;
char	*argv[];
{
	/* install OS-specific callbacks */
	UnixSetProgPath (argv[0]);
	RTFSetOpenLibFileProc (UnixOpenLibFile);

	WriterInit ();

	--argc;
	++argv;

	/* not clever; only allows stdin or one named file to be read */

	if (argc > 0)
	{
		if (freopen (argv[0], "r", stdin) == (FILE *) NULL)
			RTFPanic ("Can't open \"%s\"", argv[0]);
	}

	RTFInit ();
	if (BeginFile ((char *) NULL, (char *) NULL))
		RTFRead ();

	exit (0);
}
