/*
 * diag-unix.c -- UNIX rtfdiag driver.
 *
 * Options:
 *
 * -e	echo tokens as they are read
 */

# include	<stdio.h>

# include	"rtf.h"
# include	"rtf-unix.h"
# include	"rtfdiag.h"


static void	Diag ();


static char	*usage = "rtfdiag [-e] [file]";


int
main (argc, argv)
int	argc;
char	*argv[];
{
int	i;

	/* install OS-specific callbacks */
	UnixSetProgPath (argv[0]);
	RTFSetOpenLibFileProc (UnixOpenLibFile);

	SetEcho (0);

	--argc;
	++argv;

	while (argc > 0 && **argv == '-')
	{
		while (*++*argv != '\0')
		{
			switch (**argv)
			{
			case 'e':
				SetEcho (1);
				break;
			default:
				RTFPanic ("Unknown option: -%c\n%s", **argv, usage);
			}
		}
		--argc;
		++argv;
	}

	if (argc == 0)
		Diag ();
	else for (i = 0; i < argc; i++)
	{
		if (freopen (argv[i], "r", stdin) == NULL)
		{
			RTFMsg ("Can't open \"%s\"\n", argv[i]);
			continue;
		}
		if (argc > 1)
		{
		int	j, len = strlen (argv[i]);

			for (j = 0; j < len; j++)
				putchar (':');
			putchar ('\n');
			printf ("%s\n", argv[i]);
			for (j = 0; j < len; j++)
				putchar (':');
			putchar ('\n');
		}
		Diag ();
	}

	exit (0);
}


static void Diag ()
{
	RTFInit ();
	if (BeginFile ())
	{
		RTFRead ();
		EndFile ();
	}
}
