/*
 * skel-mac.c -- Macintosh rtfskel driver (for THINK C).
 */

# include	<stdio.h>

# include	"rtf-mac.h"
# include	"rtfskel.h"


/*
 * Stuff to tell wrapper how to initialize/shutdown the writer, how to
 * begin/end processing for each output file, how to allow for
 * application-specific menu handling stuff, and default file extension
 *
 * Note that file suffixes and output/error file flags are set as they
 * might be for a typical translator.  Since rtfskel doesn't write any
 * output, output files will be empty.  Error files might be non-empty.
 */

static AppInfo	myAppInfo =
{
	nil,				/* no menu init */
	nil,				/* no menu adjust */

	WriterInit,
	WriterEnd,

	BeginFile,
	EndFile,

	nil,				/* no preferences dialog function */

	"\prtf",			/* input file suffix */
	"\pskel",			/* output file suffix */
	"\perr",			/* error file suffix */
	
	0L,					/* output file creator */
	0L,					/* error file creator */

	/* flags */
	persistentStatus
	| usesOutputFile | autoNameOutputFile | autoOpenOutputFile
	| usesErrorFile | autoNameErrorFile
};


int
main (void)
{
	MacintoshWrapper (&myAppInfo);
}
