/*
 * skel-unix.c - UNIX rtfskel wrapper.
 */

# include	<stdio.h>

# include	"rtf.h"
# include	"rtf-unix.h"
# include	"rtfskel.h"


int
main (argc, argv)
int	argc;
char	*argv[];
{
	/* install OS-specific callbacks */
	UnixSetProgPath (argv[0]);
	RTFSetOpenLibFileProc (UnixOpenLibFile);

	--argc;
	++argv;

	/* not clever; only allows stdin or one named file to be read */

	if (argc > 0)
	{
		if (freopen (argv[0], "r", stdin) == NULL)
			RTFPanic ("Can't open \"%s\"", argv[0]);
	}

	WriterInit ();		/* once-only writer initialization */


	RTFInit ();		/* per-file reader initialization */

	/* per-file writer initialization, processing, cleanup */
	if (BeginFile ())
	{
		RTFRead ();		/* process the input stream */
		EndFile ();
	}

	WriterEnd ();		/* once-only writer cleanup */

	exit (0);
}
