/*
 * wc-mac.c -- Macintosh rtfwc driver (for THINK C).
 */

# include	<stdio.h>

# include	"TransSkel.h"
# include	"TransDisplay.h"

# include	"rtf-mac.h"
# include	"rtfwc.h"


static void	WriterEnd ();


/*
 * Stuff to tell wrapper how to initialize/shutdown the writer, how to
 * begin/end processing for each output file, how to allow for
 * application-specific menu handling stuff, and default file extension
 */

static AppInfo	myAppInfo =
{
	nil,				/* no menu init */
	nil,				/* no menu adjust */

	nil,				/* no once-only initialization needed */
	WriterEnd,			/* final summary */

	BeginFile,
	EndFile,

	nil,				/* no preferences dialog function */

	/*
	 * File suffixes are empty because no output files are created.
	 * All output goes to the log window.
	 */

	"\p",				/* no input file suffix */
	"\p",				/* no output file suffix */
	"\p",				/* no error file suffix */
	
	0L,					/* output file creator */
	0L,					/* error file creator */

	/* flags - status window is persistent, no output or error files created */
	
	persistentStatus
};


/*
 * Route output from the writer to the log window.  Use DisplayXXX()
 * calls directly rather than RTFMsg() because the latter also logs to the
 * error file.  That'd result in a non-empty error file, which wouldn't
 * be removed.
 *
 * Actually, what really needs to be done is to tell the wrapper to suppress
 * error file creation.
 */

void
Output (s)
char	*s;
{
char	c;

	while ((c = *s++) != '\0')
	{
		if (c == '\n')
			c = '\r';
		DisplayChar (c);
	}
}


/*
 * This really should only pause if started by drag'n'drop.
 */

static void
WriterEnd ()
{
	Summarize ();
	Output ("(quitting in 5 seconds.)\r");
	SkelPause (5 * 60L);	/* pause before exiting */
}


int
main (void)
{
	MacintoshWrapper (&myAppInfo);
}
