/*
 * wc-unix.c -- UNIX rtfwc driver.
 */

# include	<stdio.h>

# include	"rtf.h"
# include	"rtf-unix.h"
# include	"rtfwc.h"


static void WriterEnd ();


int
main (argc, argv)
int	argc;
char	*argv[];
{
int	i;

	/* install OS-specific callbacks */
	UnixSetProgPath (argv[0]);
	RTFSetOpenLibFileProc (UnixOpenLibFile);

	--argc;
	++argv;

	if (argc == 0)
	{
		RTFInit ();
		if (BeginFile ())
		{
			RTFRead ();
			EndFile ();
		}
	}
	else
	{
		for (i = 0; i < argc; i++)
		{
			if (freopen (argv[i], "r", stdin) == NULL)
				RTFPanic ("Can't open \"%s\"", argv[i]);
			RTFInit ();
			RTFSetInputName (argv[i]);
			if (BeginFile ())
			{
				RTFRead ();
				EndFile ();
			}
		}
	}

	WriterEnd ();	/* print summary */

	exit (0);
}


void
Output (s)
char	*s;
{
	printf ("%s", s);
}


static void
WriterEnd ()
{
	Summarize ();
}
