/*
 * stest - test map file, e.g., ansi-gen
 *
 * Syntax: stest mapfile
 */

# include	<stdio.h>

# include	"rtf.h"
# include	"rtf-unix.h"


main (argc, argv)
int	argc;
char	*argv[];
{
int	code, stdcode;
char	*stdname;
int	i;

	RTFSetOpenLibFileProc (UnixOpenLibFile);
	--argc;
	++argv;
	if (argc < 1)
	{
		fprintf (stderr, "Usage: stest [ -t ] mapfile\n");
		exit (1);
	}
	if (RTFReadCharSetMap (argv[0], rtfCSGeneral) == 0)
	{
		fprintf (stderr, "Cannot read %s\n", argv[0]);
		exit (1);
	}

	--argc;
	++argv;
	while (argc > 0)
	{
		code = atoi (*argv);
		stdcode = RTFMapChar (code);
		stdname = RTFStdCharName (stdcode);
		if (stdname == (char *) NULL)
			stdname = "UNKNOWN";
		printf ("Code %s, Standard code %d, name %s\n",
				*argv, stdcode, stdname);
		--argc;
		++argv;
	}

	/* print the character set information */

	for (i = 0; i < 256; i++)
	{
		printf ("%3d: ", i);
		stdcode = RTFMapChar (i);
		printf ("%3d 0x%03x ", stdcode, stdcode);
		stdname = RTFStdCharName (stdcode);
		if (stdname == (char *) NULL)
			stdname = "UNKNOWN";
		printf ("<%s>\n", stdname);
	}

	exit (0);
}
